## org.firebirdsql.gds.impl.wire
Class isc_db_handle_impl

    java.lang.Object
      org.firebirdsql.gds.impl.AbstractIscDbHandle
          org.firebirdsql.gds.impl.wire.isc_db_handle_impl

All Implemented Interfaces:
  IscDbHandle

    public class isc_db_handle_impl

extends AbstractIscDbHandle

Describe class `isc_db_handle_impl` here.

Version:
  1.0
Author:
  David Jencks

Field Summary
`WireXdrInputStream` `in`
`boolean` `invalid`
`XdrOutputStream` `out`

Constructor Summary
`isc_db_handle_impl()`

Method Summary
`void` `addWarning(GDSException warning)`
`void` `clearWarnings()` Clear warning list associated with this connection.
`int` `getDatabaseProductMajorVersion()` Get the major version number of the database product to which this handle is attached.
`int` `getDatabaseProductMinorVersion()` Get the minor version number of the database product to which this handle is attached.
`String` `getDatabaseProductName()` Get the product name for the database to which this handle is attached.
`String` `getDatabaseProductVersion()` Get the product version for the database to which this handle is attached.
`int` `getDialect()` Get the Interbase/Firebird dialect that is being used with this handle.
`int` `getODSMajorVersion()`
`int` `getODSMinorVersion()`
`int` `getProtocol()`
`int` `getRdb_id()`
`long` `getResp_blob_id()`
`int` `getResp_data_len()`
`byte[]` `getResp_data_truncated()`
`byte[]` `getResp_data()`
`int` `getResp_object()`
`Subject` `getSubject()`
`Collection` `getTransactions()`
`String` `getVersion()`
`List` `getWarnings()` Get list of warnings that were returned by the server.
`boolean` `hasTransactions()`
`protected void` `invalidate()`
`boolean` `isValid()` Retrieve whether this handle is valid.
`void` `setDialect(int value)`
`void` `setODSMajorVersion(int value)`
`void` `setODSMinorVersion(int value)`
`void` `setProtocol(int value)`
`void` `setRdb_id(int rdb_id)`
`void` `setResp_blob_id(long value)`
`void` `setResp_data_len(int len)`
`void` `setResp_data(byte[] value)`
`void` `setResp_object(int value)`
`void` `setVersion(String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### invalid

    public boolean invalid

### out

    public XdrOutputStream out

### in

    public WireXdrInputStream in

Constructor Detail

### isc_db_handle_impl

    public isc_db_handle_impl()

Method Detail

### isValid

    public boolean isValid()

  Description copied from class: `AbstractIscDbHandle`
  Retrieve whether this handle is valid.

  Specified by:
    `isValid` in class `AbstractIscDbHandle`
  Returns:
    `true` if this handle is valid, `false` otherwise

### invalidate

    protected void invalidate()
                       throws IOException

  Throws:
    `IOException`

### setRdb_id

    public void setRdb_id(int rdb_id)

### getRdb_id

    public int getRdb_id()

### getSubject

    public Subject getSubject()

### hasTransactions

    public boolean hasTransactions()

### getTransactions

    public Collection getTransactions()

### getWarnings

    public List getWarnings()

  Description copied from interface: `IscDbHandle`
  Get list of warnings that were returned by the server.

  Returns:
    instance of `List` containing instances of `GDSException` representing server warnings (method `GDSException.isWarning()` returns `true`).

### addWarning

    public void addWarning(GDSException warning)

### clearWarnings

    public void clearWarnings()

  Description copied from interface: `IscDbHandle`
  Clear warning list associated with this connection.

### setDialect

    public void setDialect(int value)

### getDialect

    public int getDialect()

  Description copied from class: `AbstractIscDbHandle`
  Get the Interbase/Firebird dialect that is being used with this handle.

  Specified by:
    `getDialect` in class `AbstractIscDbHandle`
  Returns:
    The dialect being used

### setProtocol

    public void setProtocol(int value)

### getProtocol

    public int getProtocol()

### setVersion

    public void setVersion(String value)
                    throws GDSException

  Throws:
    `GDSException`

### getVersion

    public String getVersion()

  Specified by:
    `getVersion` in class `AbstractIscDbHandle`
  Returns:
    database server version.

### getDatabaseProductName

    public String getDatabaseProductName()

  Description copied from class: `AbstractIscDbHandle`
  Get the product name for the database to which this handle is attached.

  Specified by:
    `getDatabaseProductName` in class `AbstractIscDbHandle`
  Returns:
    The product name of the database

### getDatabaseProductVersion

    public String getDatabaseProductVersion()

  Description copied from class: `AbstractIscDbHandle`
  Get the product version for the database to which this handle is attached.

  Specified by:
    `getDatabaseProductVersion` in class `AbstractIscDbHandle`
  Returns:
    The product version of the database

### getDatabaseProductMajorVersion

    public int getDatabaseProductMajorVersion()

  Description copied from class: `AbstractIscDbHandle`
  Get the major version number of the database product to which this handle is attached.

  Specified by:
    `getDatabaseProductMajorVersion` in class `AbstractIscDbHandle`
  Returns:
    The major product version number

### getDatabaseProductMinorVersion

    public int getDatabaseProductMinorVersion()

  Description copied from class: `AbstractIscDbHandle`
  Get the minor version number of the database product to which this handle is attached.

  Specified by:
    `getDatabaseProductMinorVersion` in class `AbstractIscDbHandle`
  Returns:
    The minor product version number

### setODSMajorVersion

    public void setODSMajorVersion(int value)

### getODSMajorVersion

    public int getODSMajorVersion()

  Specified by:
    `getODSMajorVersion` in class `AbstractIscDbHandle`
  Returns:
    the major ODS version of the database.

### setODSMinorVersion

    public void setODSMinorVersion(int value)

### getODSMinorVersion

    public int getODSMinorVersion()

  Specified by:
    `getODSMinorVersion` in class `AbstractIscDbHandle`
  Returns:
    the minor ODS version of the database.

### setResp_object

    public void setResp_object(int value)

### getResp_object

    public int getResp_object()

### setResp_blob_id

    public void setResp_blob_id(long value)

### getResp_blob_id

    public long getResp_blob_id()

### setResp_data

    public void setResp_data(byte[] value)

### getResp_data

    public byte[] getResp_data()

### getResp_data_truncated

    public byte[] getResp_data_truncated()

### setResp_data_len

    public void setResp_data_len(int len)

### getResp_data_len

    public int getResp_data_len()

Copyright © 2001-2010. All Rights Reserved.